#ifndef LIBWCCL_POSITION_H
#define LIBWCCL_POSITION_H

#include <libwccl/value.h>
#include <cstdlib>

namespace Wccl {

class Position : public Value
{
public:
	WCCL_VALUE_PREAMBLE

	explicit Position(int v = 0)
		: val_(v)
	{
	}

	int get_value() const {
		return val_;
	}

	void set_value(int v) {
		val_ = v;
	}

	/// Value override
	std::string to_raw_string() const;

private:
	int val_;
};


} /* end ns Wccl */

#endif // LIBWCCL_POSITION_H
